package com.liquidnet.service.kylin.service.partner;

import com.baomidou.mybatisplus.extension.service.IService;
import com.liquidnet.service.kylin.dto.param.TicketCreateParam;
import com.liquidnet.service.kylin.dto.vo.TicketTimesVo;
import com.liquidnet.service.kylin.dto.vo.TicketVo;
import com.liquidnet.service.kylin.entity.KylinTickets;

import java.util.List;

/**
 * <p>
 * 票 服务类
 * </p>
 *
 * @author liquidnet
 * @since 2021-05-06
 */
public interface IKylinTicketsPartnerService extends IService<KylinTickets> {

    TicketVo createTicket(TicketCreateParam ticketCreateParam);

    TicketVo updateTicket(TicketCreateParam ticketCreateParam);

    boolean deleteTicket(String ticketsId);

    TicketVo copyTicket(String ticketsId);

    List<TicketVo> getTicketMongo(String timesId);

    boolean submitTicketByTimes(String timesId);

}
